SystemOrganization addCategory: #LightsOut!

SimpleSwitchMorph subclass: #LOCell
	instanceVariableNames: 'mouseAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LightsOut'!

!LOCell methodsFor: 'as yet unclassified' stamp: 'AngelaMayhuaQuispe 9/19/2012 22:14'!
initialize 
	super initialize .
	self label: ''.
	self borderWidth: 2.
	bounds := 0@0 corner: 16@16.
	offColor := Color paleYellow.
	onColor := Color paleBlue darker .
	self useSquareCorners.
	self turnOff 
	! !

BorderedMorph subclass: #LOGame
	instanceVariableNames: 'cells'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LightsOut'!

!LOGame methodsFor: 'as yet unclassified' stamp: 'AngelaMayhuaQuispe 9/19/2012 23:05'!
initialize 
	|sampleCell width height n|
	super initialize .
	n := self cellsPerSide.
	sampleCell := LOCell new.
	width := sampleCell width .
	height := sampleCell height .
	self bounds: (5@5 extent: ((width *n)@(height *n))+(2*self borderWidth)).
	cells := Matrix new: n tabulate: [:i :j | self newCellAt: i at: j ].! !
